################################################################################
# Automatically-generated file. Do not edit!
# Toolchain: GNU Tools for STM32 (11.3.rel1)
################################################################################

# Add inputs and outputs from these tool invocations to the build variables 
C_SRCS += \
../SW_APPs/APP_IDcard.c \
../SW_APPs/APP_KEYBOARD.c \
../SW_APPs/APP_blood.c \
../SW_APPs/APP_colorcontrol.c \
../SW_APPs/APP_morsecode.c \
../SW_APPs/Main_APP.c \
../SW_APPs/windows.c 

OBJS += \
./SW_APPs/APP_IDcard.o \
./SW_APPs/APP_KEYBOARD.o \
./SW_APPs/APP_blood.o \
./SW_APPs/APP_colorcontrol.o \
./SW_APPs/APP_morsecode.o \
./SW_APPs/Main_APP.o \
./SW_APPs/windows.o 

C_DEPS += \
./SW_APPs/APP_IDcard.d \
./SW_APPs/APP_KEYBOARD.d \
./SW_APPs/APP_blood.d \
./SW_APPs/APP_colorcontrol.d \
./SW_APPs/APP_morsecode.d \
./SW_APPs/Main_APP.d \
./SW_APPs/windows.d 


# Each subdirectory must supply rules for building sources it contributes
SW_APPs/%.o SW_APPs/%.su SW_APPs/%.cyclo: ../SW_APPs/%.c SW_APPs/subdir.mk
	arm-none-eabi-gcc "$<" -mcpu=cortex-m3 -std=gnu11 -g3 -DDEBUG -DUSE_HAL_DRIVER -DSTM32F103xE -c -I../Core/Inc -I"C:/Users/wuwen/m3s_stm32/SW_APPs" -I"C:/Users/wuwen/m3s_stm32/HW_Devices" -I../Drivers/CMSIS/Device/ST/STM32F1xx/Include -I../Drivers/CMSIS/Include -I../Drivers/STM32F1xx_HAL_Driver/Inc/Legacy -I../Drivers/STM32F1xx_HAL_Driver/Inc -O0 -ffunction-sections -fdata-sections -Wall -fstack-usage -fcyclomatic-complexity -MMD -MP -MF"$(@:%.o=%.d)" -MT"$@" --specs=nano.specs -mfloat-abi=soft -mthumb -o "$@"

clean: clean-SW_APPs

clean-SW_APPs:
	-$(RM) ./SW_APPs/APP_IDcard.cyclo ./SW_APPs/APP_IDcard.d ./SW_APPs/APP_IDcard.o ./SW_APPs/APP_IDcard.su ./SW_APPs/APP_KEYBOARD.cyclo ./SW_APPs/APP_KEYBOARD.d ./SW_APPs/APP_KEYBOARD.o ./SW_APPs/APP_KEYBOARD.su ./SW_APPs/APP_blood.cyclo ./SW_APPs/APP_blood.d ./SW_APPs/APP_blood.o ./SW_APPs/APP_blood.su ./SW_APPs/APP_colorcontrol.cyclo ./SW_APPs/APP_colorcontrol.d ./SW_APPs/APP_colorcontrol.o ./SW_APPs/APP_colorcontrol.su ./SW_APPs/APP_morsecode.cyclo ./SW_APPs/APP_morsecode.d ./SW_APPs/APP_morsecode.o ./SW_APPs/APP_morsecode.su ./SW_APPs/Main_APP.cyclo ./SW_APPs/Main_APP.d ./SW_APPs/Main_APP.o ./SW_APPs/Main_APP.su ./SW_APPs/windows.cyclo ./SW_APPs/windows.d ./SW_APPs/windows.o ./SW_APPs/windows.su

.PHONY: clean-SW_APPs

